Bug 901450 - rss-glx should install screensavers into /usr/lib(64)/xscreensaver
rss-glx should install screensavers into /usr/lib(64)/xscreensaver
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: X11 Applications
13.2 RC 1
All All
: P5 - None : Normal (vote)
: ---
Assigned To: Marguerite Su
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-15 21:05 UTC by Marguerite Su
Modified: 2014-11-06 08:31 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marguerite Su 2014-10-15 21:05:12 UTC
Hi,

rss-glx has been broken since it was introduced into openSUSE:

http://www.linuxquestions.org/questions/linuxquestions-org-member-success-stories-23/opensuse-12-3-rss-glx-screen-savers-and-kde-4175460477/

I found this because coolo introduced its translations for 13.2, and I had to get it running first before translating properly.

As the quickfix showed, currently the binraries are installed into /usr/bin, But KDE will find it in /usr/lib64/xscreensaver.

I don't know if this directory is KDE-specific or Xorg-specific, but if those binraries won't go there, rss-glx will be broken all the time.

But openSUSE won't allow binraries in /usr/lib64, so we need a patch for rss-glx at least.

Marguerite
Comment 1 Marguerite Su 2014-10-16 01:03:43 UTC
will fix it myself
Comment 2 Bernhard Wiedemann 2014-10-16 02:00:08 UTC
This is an autogenerated message for OBS integration:
This bug (901450) was mentioned in
https://build.opensuse.org/request/show/256796 13.2 / rss-glx
Comment 3 Swamp Workflow Management 2014-10-23 11:04:50 UTC
openSUSE-RU-2014:1320-1: An update that has one recommended fix can now be installed.

Category: recommended (low)
Bug References: 901450
CVE References: 
Sources used:
openSUSE 13.1 (src):    rss-glx-0.9.1-15.4.1
openSUSE 12.3 (src):    rss-glx-0.9.1-13.4.1
Comment 4 Marguerite Su 2014-11-06 08:31:47 UTC
fixed